Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Active_Map_Manager_Key::key_data Struct Reference

Data for the Active Object Map Key. More...

List of all members.

## Public Attributes
ACE_UINT32 | slot_index_
| Slot index in the active map.
ACE_UINT32 | slot_generation_
| Slot generation number of <slot_index_> slot in the active map.

## Detailed Description

Data for the Active Object Map Key.

This separate structure makes it easier to manage copying the index and the generation to and from the user buffer.

## Member Data Documentation

ACE_UINT32 ACE_Active_Map_Manager_Key::key_data::slot_generation_

| Slot generation number of <slot_index_> slot in the active map.

ACE_UINT32 ACE_Active_Map_Manager_Key::key_data::slot_index_

| Slot index in the active map.

The documentation for this struct was generated from the following file:

- Active_Map_Manager.h